Skip to main content
POST
/
api
/
pricing
/
records
Create Price Record
curl --request POST \
  --url https://api.merchantops.ai/api/pricing/records \
  --header 'Content-Type: application/json' \
  --data '
{
  "amount": 123,
  "brand_key": "<string>",
  "product_key": "<string>",
  "currency": "USD",
  "effective_from": "2023-11-07T05:31:56Z",
  "effective_to": "2023-11-07T05:31:56Z",
  "notes": "<string>",
  "price_type": "map",
  "umap_flag": true,
  "variant_key": "<string>"
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "ctx": {},
      "input": "<unknown>"
    }
  ]
}

Headers

authorization
string | null
X-Organization-ID
string | null

Cookies

stytch_session
string | null

Body

application/json

Request body for creating a price record.

amount
number
required
brand_key
string
required
product_key
string
required
currency
string
default:USD
effective_from
string<date-time> | null
effective_to
string<date-time> | null
notes
string | null
price_type
string
default:map

One of: map, map_stepdown, sale, markdown, msrp

umap_flag
boolean | null
variant_key
string | null

Response

Successful Response